Package ghidra.app.util.bin.format.ne

# Class EntryTableBundle

java.lang.Object
ghidra.app.util.bin.format.ne.EntryTableBundle

public class EntryTableBundle extends Object
A class to represent a new-executable entry table bundle.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CONSTANT`
  Refers to a constant defined in module.
  `static final byte`
  `MOVEABLE`
  Segment is moveable.
  `static final byte`
  `UNUSED`
  Marker denoting an unused entry table bundle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getCount()`
  Returns the number of entries in bundle.
  `EntryPoint[]`
  `getEntryPoints()`
  Returns the array of entry points in this bundle.
  `byte`
  `getType()`
  Returns the type of the bundle.
  `boolean`
  `isConstant()`
  Returns true if this bundle is constant.
  `boolean`
  `isMoveable()`
  Returns true if this bundle is moveable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNUSED

    public static final byte UNUSED
    Marker denoting an unused entry table bundle.
    See Also:
      - Constant Field Values

  - ### MOVEABLE

    public static final byte MOVEABLE
    Segment is moveable.
    See Also:
      - Constant Field Values

  - ### CONSTANT

    public static final byte CONSTANT
    Refers to a constant defined in module.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### isMoveable

    public boolean isMoveable()
    Returns true if this bundle is moveable.
    Returns:
      true if this bundle is moveable

  - ### isConstant

    public boolean isConstant()
    Returns true if this bundle is constant.
    Returns:
      true if this bundle is constant

  - ### getCount

    public byte getCount()
    Returns the number of entries in bundle.
    Returns:
      the number of entries in bundle

  - ### getType

    public byte getType()
    Returns the type of the bundle. For example, MOVEABLE, CONSTANT, or segment index.
    Returns:
      the type of the bundle

  - ### getEntryPoints

    public EntryPoint[] getEntryPoints()
    Returns the array of entry points in this bundle.
    Returns:
      the array of entry points in this bundle